#
# spec file for package gap-utils
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-utils
Summary:        GAP: Utility functions in GAP
Version:        0.87
Release:        1.2
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/utils
#Git-Clone:     https://github.com/gap-packages/utils
Source:         https://github.com/gap-packages/utils/releases/download/v%version/utils-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       gap-core >= 4.10.1
Suggests:       gap-curlinterface >= 2.3.0
BuildArch:      noarch

%description
The Utils package provides a collection of utility functions gleaned
from many packages.

%prep
%autosetup -n utils-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Oct 20 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.87
  * Fix tests and examples to point to new GAP website
* Fri May 17 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.86
  * Two minor unspecified adjustments
* Wed Jan 24 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.85
  * Avoid trivial function wrappers in List and ForAll
* Fri Sep 15 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.84
  * added DirectSumDecompositionMatrices
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.82
  * Only source package metadata was updated
* Tue Dec 20 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.81
  * removed (the dead) pcp option from PcGroupToMagmaFormat
    so that the dependency on Polycyclic could be removed
* Fri Oct 14 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to new upstream release 0.77
  * added Download operation by Thomas Breuer - new Chapter 8
  * added LeftCoset operations
  * Max Horn replaced BIND_GLOBAL with BindGlobal (transfer process)
  * CentralProduct added by Thomas Breuer
  * added DirectProductOfAutomorphismGroups
  * added DirectProductOfFunctions
  * accepted PR34 - changed example in 6.2.1
  * fixed typos with UnorderedPairsIterator in manual
  * groups.tst fails in gapdev - temporary(?) fix
  * added Iterators chapter: AllSubgroupsIterator CartesianIterator,
    UnorderedPairsIterator
  * added IdempotentEndomorphisms, IdempotentEndomorphismsData
    AllIsomorphismsIterator, AllIsomorphismsNumber, AllIsomorphisms
  * added License field in PackageInfo.g
  * made ExponentOfPrime obsolete
  * made several AutoDoc functions obsolete (they remain in AutoDoc):
    FindMatchingFiles; CreateDirIfMissing; StringDotSuffix;
    SetIfMissing
  * made PrintApplicableMethod obsolete
  * marked PrintOneItemPerLine as obsolete: use Perform(L,Display);
  * marked ExponentOfPrime as obsolete: use PValuation
  * transferred code in combinat.g{d,i} to end of lists.g{d,i}
  * removed all "if OKtoReadFomUtils( "RCWA" / "ResClasses" )"
  * new PrintSelection example due to diff with all packages loaded
    removed XMod from list of packages to be loaded
  * revised file tst/testing.g
  * PrintOneItemPerLine plus alternative method for iterators;
    added function PrintSelection(L,first,step,last) for
    lists/iterators
  * rebuilt the manual using the AutoDoc package
  * removed examples/ folder
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 0.49
  * removed QPA functions PositionsNonzero and NullList
  * changed record.tst so that 4r8 and dev give the same result
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 0.46
  * added code for converting matrix groups to Magma strings
  * added code for converting perm- and pc-groups to Magma strings
  * added PositionsNonzero and NullList from QPA
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 0.43
  * added function PrintApplicableMethod
* Mon Jun 20 2016 jengelh@inai.de
- Update to new upstream release 0.40
  * added fix to QuotientList
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 0.39
  * updated transfers from RCWA and ResClasses
* Sat Mar 12 2016 jengelh@inai.de
- Initial package (version 0.25) for build.opensuse.org
